<div class="page rating">
  <h1 class="page__title">
    <span>{{ type }}</span> rating
  </h1>
  <div class="container">
    <div *ngIf="type === 'movies'" class="card__group">
      <movie-card
        *ngFor="
          let movie of rating
            | paginate: { itemsPerPage: 20, currentPage: page, totalItems: totalResults }
        "
        [movie]="movie"
        class="card"
      ></movie-card>
    </div>
    <div *ngIf="type === 'tv-shows'" class="card__group">
      <serial-card
        *ngFor="
          let show of rating
            | paginate: { itemsPerPage: 20, currentPage: page, totalItems: totalResults }
        "
        [show]="show"
        class="card"
      ></serial-card>
    </div>
    <pagination-controls
      class="page__pagination"
      (pageChange)="pageChange($event)"
      previousLabel=""
      nextLabel=""
    ></pagination-controls>
  </div>
</div>
